Method: logTypes.list

Full name: projects.locations.instances.logTypes.list

Lists all LogTypes.

HTTP request


GET https://chronicle.africa-south1.rep.googleapis.com/v1alpha/{parent}/logTypes

Path parameters

Parameters
parent

string

Required. The parent, which owns this collection of log types. Format: projects/{project}/locations/{region}/instances/{instance}

Query parameters

Parameters
pageSize

integer

The maximum number of log types to return. The service may return fewer than this value.

pageToken

string

A page token, received from a previous logTypes.list call. Provide this to retrieve the subsequent page.

When paginating, all other parameters provided to logTypes.list must match the call that provided the page token.

filter

string

Optional. A filter which should follow the guidelines of AIP-160

orderBy

string

Optional. The sorting order for the list of log types. The only field supported for sorting is dataSize. Data size is the total size for each log type that have been ingested for the customer for lifetime. The valid values are "dataSize", "dataSize asc", "dataSize desc". If just "dataSize" is specified, it defaults to ascending order of data size. If nothing is specified, results are returned in ascending order of name.

Request body

The request body must be empty.

Response body

Response message for listing log types.

If successful, the response body contains data with the following structure:

JSON representation
{
  "logTypes": [
    {
      object (LogType)
    }
  ],
  "nextPageToken": string
}
Fields
logTypes[]

object (LogType)

The log types from the specified chronicle instance.

nextPageToken

string

A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle
  • https://www.googleapis.com/auth/chronicle.readonly

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • chronicle.logTypes.list

For more information, see the IAM documentation.